Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Safety Estimated time: 40.00 hours

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

The notion of subrings looks promising.  Investigate & implement (if appropriate).

Related issues:

Related to CoCoALib - Feature #113: Introduce PartialHom In Progress 23 Mar 2012

Related to CoCoA-5 - Bug #100: BringIn should map only the indets in its arg New 07 Mar 2012

Related to CoCoALib - Feature #658: Indets actually in a poly (or vector or m... Closed 22 Jan 2015

Related to CoCoALib - Feature #1468: Adjoin indets to a poly ring In Progress 25 Jun 2020

History

#1 - 09 Jul 2014 17:53 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#2 - 29 Sep 2020 13:12 - John Abbott

- Related to Feature #1468: Adjoin indets to a poly ring added

#3 - 29 Sep 2020 13:19 - John Abbott

Which sorts of subring would we like to represent?

(A) in a polyring a subring generated by a subset of the indets

(B) in a polyring the subring whose coeffs lie in a subring of the coeffring

(C)  combine (A) and (B)?

(D) (for modular reduction) in QQ the subring of p-adic integers (i.e. p does not divide the denom)

other ideas?

My idea is that a subring could be used as the domain of a ringhom; this means that it should be quick/easy to detect if a ringelem is in the subring.

Presumably we would need ome way to represent these subrings, and also a list of permitted operations on them.

The operations I foresee are: using them to specify the domain of a ringhom, and probably extracting the "big ring" from the subring.
